Loading...
Searching...
No Matches
icu::number::impl::Padder Class Reference

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::Padder:

## Static Public Member Functions

static Padder | none ()
static Padder | codePoints (UChar32 cp, int32_t targetWidth, UNumberFormatPadPosition position)
static Padder | forProperties (const DecimalFormatProperties &properties)

## Friends

struct | MacroProps
struct | MicroProps
class | impl::NumberFormatterImpl
class | impl::GeneratorHelpers

## Detailed Description

Internal
  Do not use. This API is for internal use only.

Definition at line 1455 of file numberformatter.h.

## Member Function Documentation

## codePoints()

Padder icu::number::impl::Padder::codePoints | ( | UChar32 | cp,
|  | int32_t | targetWidth,
|  | UNumberFormatPadPosition | position )

static

Internal
  Do not use. This API is for internal use only.

## forProperties()

Padder icu::number::impl::Padder::forProperties | ( | const DecimalFormatProperties & | properties | ) |

static

Internal
  Do not use. This API is for internal use only.

## none()

Padder icu::number::impl::Padder::none | ( |  | ) |

static

Internal
  Do not use. This API is for internal use only.

## Friends And Related Symbol Documentation

## impl::GeneratorHelpers

friend class impl::GeneratorHelpers

friend

Definition at line 1516 of file numberformatter.h.

## impl::NumberFormatterImpl

friend class impl::NumberFormatterImpl

friend

Definition at line 1513 of file numberformatter.h.

## MacroProps

friend struct MacroProps

friend

Definition at line 1509 of file numberformatter.h.

## MicroProps

friend struct MicroProps

friend

Definition at line 1510 of file numberformatter.h.

## Field Documentation

## errorCode

UErrorCode icu::number::impl::Padder::errorCode

Definition at line 1475 of file numberformatter.h.

## fCp

int32_t icu::number::impl::Padder::fCp

Definition at line 1472 of file numberformatter.h.

## fPosition

UNumberFormatPadPosition icu::number::impl::Padder::fPosition

Definition at line 1473 of file numberformatter.h.

The documentation for this class was generated from the following file:

- i18n/unicode/numberformatter.h